/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20100528
 *
 * Disassembly of SSDT1.dat, Sun May  8 22:23:47 2011
 *
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x0000031A (794)
 *     Revision         0x01
 *     Checksum         0x2D
 *     OEM ID           "ACER  "
 *     OEM Table ID     "ACER    "
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "1025"
 *     Compiler Version 0x20051117 (537202967)
 */
DefinitionBlock ("SSDT1.aml", "SSDT", 1, "ACER  ", "ACER    ", 0x00001000)
{
    External (\_SB_.PCI0, DeviceObj)

    Scope (\_SB.PCI0)
    {
        Device (AHCI)
        {
            Name (_ADR, 0x001F0002)
            OperationRegion (SAPO, PCI_Config, 0x90, 0x10)
            Field (SAPO, DWordAcc, NoLock, Preserve)
            {
                        Offset (0x02), 
                SP0E,   1, 
                SP1E,   1, 
                SP2E,   1, 
                SP3E,   1, 
                SP4E,   1, 
                SP5E,   1, 
                        Offset (0x03), 
                SP0P,   1, 
                SP1P,   1, 
                SP2P,   1, 
                SP3P,   1, 
                SP4P,   1, 
                SP5P,   1
            }

            Method (SDDA, 2, NotSerialized)
            {
                Name (BUF0, Buffer (0x07)
                {
                    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
                })
                CreateByteField (BUF0, Zero, FEAT)
                CreateByteField (BUF0, One, DESC)
                CreateByteField (BUF0, 0x05, DEVD)
                CreateByteField (BUF0, 0x06, COMD)
                CreateWordField (Arg0, 0x9C, W780)
                CreateWordField (Arg0, 0x9E, W790)
                Store (Arg1, DEVD)
                Store (BUF0, Local1)
                If (LAnd (W780, 0x02))
                {
                    If (LEqual (And (W790, 0x02), Zero))
                    {
                        Store (0x10, FEAT)
                        Store (One, DESC)
                        Store (0xEF, COMD)
                        Concatenate (Local1, BUF0, Local1)
                    }
                }

                If (LAnd (W780, 0x04))
                {
                    If (LEqual (And (W790, 0x04), Zero))
                    {
                        Store (0x10, FEAT)
                        Store (0x02, DESC)
                        Store (0xEF, COMD)
                        Concatenate (Local1, BUF0, Local1)
                    }
                }

                If (LAnd (W780, 0x08))
                {
                    If (LEqual (And (W790, 0x08), Zero))
                    {
                        Store (0x10, FEAT)
                        Store (0x03, DESC)
                        Store (0xEF, COMD)
                        Concatenate (Local1, BUF0, Local1)
                    }
                }

                If (LAnd (W780, 0x10))
                {
                    If (LEqual (And (W790, 0x10), Zero))
                    {
                        Store (0x10, FEAT)
                        Store (0x04, DESC)
                        Store (0xEF, COMD)
                        Concatenate (Local1, BUF0, Local1)
                    }
                }

                If (LAnd (W780, 0x20))
                {
                    If (LEqual (And (W790, 0x20), Zero))
                    {
                        Store (0x10, FEAT)
                        Store (0x05, DESC)
                        Store (0xEF, COMD)
                        Concatenate (Local1, BUF0, Local1)
                    }
                }

                If (LAnd (W780, 0x40))
                {
                    If (LEqual (And (W790, 0x40), Zero))
                    {
                        Store (0x10, FEAT)
                        Store (0x06, DESC)
                        Store (0xEF, COMD)
                        Concatenate (Local1, BUF0, Local1)
                    }
                }

                Return (Local1)
            }

            Name (GTF0, Buffer (0x07)
            {
                0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
            })
            Device (PRT0)
            {
                Name (_ADR, 0xFFFF)
                Method (_SDD, 1, NotSerialized)
                {
                    Store (SDDA (Arg0, 0xA0), GTF0)
                }

                Method (_GTF, 0, NotSerialized)
                {
                    Return (GTF0)
                }
            }

            Name (GTF1, Buffer (0x07)
            {
                0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
            })
            Device (PRT1)
            {
                Name (_ADR, 0x0001FFFF)
                Method (_SDD, 1, NotSerialized)
                {
                    Store (SDDA (Arg0, 0xB0), GTF1)
                }

                Method (_GTF, 0, NotSerialized)
                {
                    Return (GTF1)
                }
            }

            Name (GTF4, Buffer (0x07)
            {
                0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
            })
            Device (PRT4)
            {
                Name (_ADR, 0x0004FFFF)
                Method (_SDD, 1, NotSerialized)
                {
                    Store (SDDA (Arg0, 0xA0), GTF4)
                }

                Method (_GTF, 0, NotSerialized)
                {
                    Return (GTF4)
                }
            }

            Name (GTF5, Buffer (0x07)
            {
                0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
            })
            Device (PRT5)
            {
                Name (_ADR, 0x0005FFFF)
                Method (_SDD, 1, NotSerialized)
                {
                    Store (SDDA (Arg0, 0xB0), GTF5)
                }

                Method (_GTF, 0, NotSerialized)
                {
                    Return (GTF5)
                }
            }
        }
    }
}

