/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20100528
 *
 * Disassembly of SSDT5.dat, Sun May  8 22:24:07 2011
 *
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000001CF (463)
 *     Revision         0x01
 *     Checksum         0x2E
 *     OEM ID           "PmRef"
 *     OEM Table ID     "ApIst"
 *     OEM Revision     0x00003000 (12288)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20051117 (537202967)
 */
DefinitionBlock ("SSDT5.aml", "SSDT", 1, "PmRef", "ApIst", 0x00003000)
{
    External (PDC0)
    External (CFGD)
    External (\_PR_.CPU3, DeviceObj)
    External (\_PR_.CPU2, DeviceObj)
    External (\_PR_.CPU1, DeviceObj)
    External (\_PR_.CPU0._PSS, IntObj)
    External (\_PR_.CPU0._PPC, IntObj)

    Scope (\_PR.CPU1)
    {
        Method (_PPC, 0, NotSerialized)
        {
            Return (\_PR.CPU0._PPC)
        }

        Method (_PCT, 0, NotSerialized)
        {
            Return (Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }
            })
        }

        Method (_PSS, 0, NotSerialized)
        {
            Return (\_PR.CPU0._PSS)
        }

        Method (_PSD, 0, NotSerialized)
        {
            If (And (CFGD, 0x00800000))
            {
                If (And (PDC0, 0x0800))
                {
                    Return (Package (0x01)
                    {
                        Package (0x05)
                        {
                            0x05, 
                            Zero, 
                            Zero, 
                            0xFE, 
                            0x04
                        }
                    })
                }

                Return (Package (0x01)
                {
                    Package (0x05)
                    {
                        0x05, 
                        Zero, 
                        Zero, 
                        0xFC, 
                        0x04
                    }
                })
            }
            Else
            {
                If (And (PDC0, 0x0800))
                {
                    Return (Package (0x01)
                    {
                        Package (0x05)
                        {
                            0x05, 
                            Zero, 
                            Zero, 
                            0xFE, 
                            0x02
                        }
                    })
                }

                Return (Package (0x01)
                {
                    Package (0x05)
                    {
                        0x05, 
                        Zero, 
                        Zero, 
                        0xFC, 
                        0x02
                    }
                })
            }
        }
    }

    Scope (\_PR.CPU2)
    {
        Method (_PPC, 0, NotSerialized)
        {
            Return (\_PR.CPU1._PPC ())
        }

        Method (_PCT, 0, NotSerialized)
        {
            Return (\_PR.CPU1._PCT ())
        }

        Method (_PSS, 0, NotSerialized)
        {
            Return (\_PR.CPU1._PSS ())
        }

        Method (_PSD, 0, NotSerialized)
        {
            Return (\_PR.CPU1._PSD ())
        }
    }

    Scope (\_PR.CPU3)
    {
        Method (_PPC, 0, NotSerialized)
        {
            Return (\_PR.CPU1._PPC ())
        }

        Method (_PCT, 0, NotSerialized)
        {
            Return (\_PR.CPU1._PCT ())
        }

        Method (_PSS, 0, NotSerialized)
        {
            Return (\_PR.CPU1._PSS ())
        }

        Method (_PSD, 0, NotSerialized)
        {
            Return (\_PR.CPU1._PSD ())
        }
    }
}

